io.siddhi.extension.execution.map

## Class CreateFromJSONFunctionExtension

- java.lang.Object
- - io.siddhi.core.executor.function.FunctionExecutor
  - - io.siddhi.extension.execution.map.CreateFromJSONFunctionExtension

- All Implemented Interfaces:
    io.siddhi.core.executor.ExpressionExecutor

      public class CreateFromJSONFunctionExtension
      extends io.siddhi.core.executor.function.FunctionExecutor

  createFromJSON(String) Returns the created map Accept Type(s): (String) Return Type(s): Map

- - ### Field Summary

    - ### Fields inherited from class io.siddhi.core.executor.function.FunctionExecutor

      `attributeExpressionExecutors, functionId, processingMode, siddhiQueryContext`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CreateFromJSONFunctionExtension()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected Object` | `execute(Object[] objects, io.siddhi.core.util.snapshot.state.State state)`
    `protected Object` | `execute(Object data, io.siddhi.core.util.snapshot.state.State state)`
    `io.siddhi.query.api.definition.Attribute.Type` | `getReturnType()`
    `protected io.siddhi.core.util.snapshot.state.StateFactory` | `init(io.siddhi.core.executor.ExpressionExecutor[] attributeExpressionExecutors, io.siddhi.core.util.config.ConfigReader configReader, io.siddhi.core.config.SiddhiQueryContext siddhiQueryContext)`

    - ### Methods inherited from class io.siddhi.core.executor.function.FunctionExecutor

      `execute, execute, execute, initExecutor`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CreateFromJSONFunctionExtension

          public CreateFromJSONFunctionExtension()

  - ### Method Detail

    - #### init

          protected io.siddhi.core.util.snapshot.state.StateFactory init(io.siddhi.core.executor.ExpressionExecutor[] attributeExpressionExecutors,
                                                                         io.siddhi.core.util.config.ConfigReader configReader,
                                                                         io.siddhi.core.config.SiddhiQueryContext siddhiQueryContext)

      Specified by:
        `init` in class `io.siddhi.core.executor.function.FunctionExecutor`

    - #### execute

          protected Object execute(Object[] objects,
                                   io.siddhi.core.util.snapshot.state.State state)

      Specified by:
        `execute` in class `io.siddhi.core.executor.function.FunctionExecutor`

    - #### execute

          protected Object execute(Object data,
                                   io.siddhi.core.util.snapshot.state.State state)

      Specified by:
        `execute` in class `io.siddhi.core.executor.function.FunctionExecutor`

    - #### getReturnType

          public io.siddhi.query.api.definition.Attribute.Type getReturnType()

Copyright © 2019 WSO2. All rights reserved.